[blfs-book] r11264 - in branches/systemd: . general/genlib general/genutils general/graphlib general/prog general/sysutils introduction/welcome kde/core multimedia/libdriv multimedia/videoutils networking/netprogs networking/netutils postlfs/security server/databases server/major server/other x/lib x/wm xsoft/other

krejzi at higgs.linuxfromscratch.org krejzi at higgs.linuxfromscratch.org
Wed Jun 5 02:28:44 PDT 2013


Author: krejzi
Date: Wed Jun  5 02:28:44 2013
New Revision: 11264

Log:
Merge trunk and systemd branch.

Added:
   branches/systemd/x/lib/qt4.xml
      - copied, changed from r11201, branches/systemd/x/lib/qt.xml
Deleted:
   branches/systemd/x/lib/qt.xml
Modified:
   branches/systemd/general.ent
   branches/systemd/general/genlib/icu.xml
   branches/systemd/general/genlib/libdbusmenuqt.xml
   branches/systemd/general/genlib/pcre.xml
   branches/systemd/general/genlib/qca.xml
   branches/systemd/general/genlib/qjson.xml
   branches/systemd/general/genutils/graphviz.xml
   branches/systemd/general/genutils/pinentry.xml
   branches/systemd/general/graphlib/harfbuzz.xml
   branches/systemd/general/graphlib/libjpeg-turbo.xml
   branches/systemd/general/graphlib/poppler.xml
   branches/systemd/general/prog/cmake.xml
   branches/systemd/general/prog/doxygen.xml
   branches/systemd/general/prog/git.xml
   branches/systemd/general/prog/mercurial.xml
   branches/systemd/general/prog/ruby.xml
   branches/systemd/general/prog/subversion.xml
   branches/systemd/general/sysutils/strigi.xml
   branches/systemd/introduction/welcome/changelog.xml
   branches/systemd/kde/core/akonadi.xml
   branches/systemd/kde/core/attica.xml
   branches/systemd/kde/core/automoc4.xml
   branches/systemd/kde/core/config.xml
   branches/systemd/kde/core/phonon.xml
   branches/systemd/kde/core/polkit-qt.xml
   branches/systemd/kde/core/qimageblitz.xml
   branches/systemd/multimedia/libdriv/flac.xml
   branches/systemd/multimedia/libdriv/libogg.xml
   branches/systemd/multimedia/videoutils/vlc.xml
   branches/systemd/networking/netprogs/wpa_supplicant.xml
   branches/systemd/networking/netutils/avahi.xml
   branches/systemd/networking/netutils/bind-utils.xml
   branches/systemd/networking/netutils/nmap.xml
   branches/systemd/postlfs/security/libcap2.xml
   branches/systemd/postlfs/security/openssh.xml
   branches/systemd/postlfs/security/sudo.xml
   branches/systemd/server/databases/sqlite.xml
   branches/systemd/server/major/bind.xml
   branches/systemd/server/other/soprano.xml
   branches/systemd/x/lib/cairo.xml
   branches/systemd/x/lib/lib.xml
   branches/systemd/x/wm/openbox.xml
   branches/systemd/xsoft/other/gnash.xml
   branches/systemd/xsoft/other/transmission.xml

Modified: branches/systemd/general.ent
==============================================================================
--- branches/systemd/general.ent	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general.ent	Wed Jun  5 02:28:44 2013	(r11264)
@@ -3,7 +3,7 @@
 $Date$
 -->
 
-<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY day          "05">                   <!-- Always 2 digits -->
 <!ENTITY month        "06">                   <!-- Always 2 digits -->
 <!ENTITY year         "2013">
 <!ENTITY copyrightdate "2001-&year;">
@@ -163,13 +163,13 @@
 <!ENTITY nss-major-version            "14">
 <!ENTITY nss-minor-version            "3">
 <!ENTITY nss-version                  "3.&nss-major-version;.&nss-minor-version;">
-<!ENTITY openssh-version              "6.2p1">
+<!ENTITY openssh-version              "6.2p2">
 <!ENTITY openssl-version              "1.0.1e">
 <!ENTITY p11-kit-version              "0.18.2">
 <!ENTITY polkit-version               "0.111">
 <!ENTITY shadow-version               "4.1.5.1">
 <!ENTITY stunnel-version              "4.54">
-<!ENTITY sudo-version                 "1.8.6p3">
+<!ENTITY sudo-version                 "1.8.6p8">
 <!ENTITY tripwire-version             "2.4.2.2">
 
 <!-- Chapter 5 -->
@@ -222,7 +222,7 @@
 <!ENTITY gsl-version                  "1.15">
 
 <!ENTITY icu-major                    "51">
-<!ENTITY icu-minor                    "1">
+<!ENTITY icu-minor                    "2">
 <!ENTITY icu-patch                    "0">
 <!ENTITY icu-version                  "&icu-major;.&icu-minor;"><!-- .&icu-patch;-->
 <!ENTITY icu-dl-version               "&icu-major;_&icu-minor;"><!-- _&icu-patch;-->
@@ -261,7 +261,7 @@
 <!ENTITY mtdev-version                "1.1.3">
 <!ENTITY nspr-version                 "4.9.6">
 <!ENTITY openobex-version             "1.7">
-<!ENTITY pcre-version                 "8.32">
+<!ENTITY pcre-version                 "8.33">
 <!ENTITY popt-version                 "1.16">
 <!ENTITY pth-version                  "2.0.7">
 <!ENTITY ptlib-version                "2.10.10">
@@ -285,7 +285,7 @@
 <!ENTITY fribidi-version              "0.19.5">
 <!ENTITY gegl-version                 "0.2.0">
 <!ENTITY giflib-version               "4.1.6">
-<!ENTITY harfbuzz-version             "0.9.16">
+<!ENTITY harfbuzz-version             "0.9.18">
 <!ENTITY ijs-version                  "0.35">
 <!ENTITY imlib2-version               "1.4.5">
 <!ENTITY jasper-version               "1.900.1">
@@ -294,7 +294,7 @@
 <!ENTITY libart_lgpl-version          "2.3.21">
 <!ENTITY libexif-version              "0.6.21">
 <!ENTITY libjpeg-version              "8d">
-<!ENTITY libjpeg-turbo-version        "1.2.1">
+<!ENTITY libjpeg-turbo-version        "1.3.0">
 <!ENTITY libmng-version               "1.0.10">
 <!ENTITY libpng-version               "1.6.2">
 <!ENTITY librsvg-version              "2.36.4">
@@ -378,22 +378,23 @@
 <!ENTITY gcc-version                  "4.7.2">
 <!ENTITY gc-version                   "7.2d">
 <!ENTITY gdb-version                  "7.6">
-<!ENTITY git-version                  "1.8.2.3">
+<!ENTITY git-version                  "1.8.3">
 <!ENTITY guile-version                "2.0.9">
 <!ENTITY icedtea-version              "2.3.3">
 <!ENTITY openjdk-version              "1.7.0.9">
 <!ENTITY junit-version                "4.10">
 <!ENTITY librep-version               "0.92.2.1">
 <!ENTITY llvm-version                 "3.2">
-<!ENTITY mercurial-version            "2.5.2">
+<!ENTITY mercurial-version            "2.6.2">
 <!ENTITY NASM-version                 "2.10.07">
 <!ENTITY php-version                  "5.4.11">
 <!ENTITY pkgconfig-version            "0.28">
 <!ENTITY python2-version              "2.7.5">
 <!ENTITY python3-version              "3.3.2">
-<!ENTITY ruby-version                 "1.9.3-p429">
+<!ENTITY ruby-version                 "2.0.0">
+<!ENTITY ruby-patch-version           "195">
 <!ENTITY slang-version                "2.2.4">
-<!ENTITY subversion-version           "1.7.8">
+<!ENTITY subversion-version           "1.7.10">
 <!ENTITY tcl-version                  "8.6.0">
 <!ENTITY tk-version                   "8.6.0">
 <!ENTITY vala-version                 "0.18.1">
@@ -455,10 +456,10 @@
 
 <!-- Chapter 16 -->
 <!ENTITY avahi-version                "0.6.31">
-<!ENTITY bind-version                 "9.9.2-P2">
+<!ENTITY bind-version                 "9.9.3">
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-version       "0.9.8.0">
-<!ENTITY nmap-version                 "6.01">
+<!ENTITY nmap-version                 "6.25">
 <!ENTITY traceroute-version           "2.0.19">
 <!ENTITY whois-version                "5.0.25">
 <!ENTITY wicd-version                 "1.7.2.4">
@@ -509,7 +510,7 @@
 <!ENTITY db-version                   "5.3.21">
 <!ENTITY mysql-version                "5.6.11">
 <!ENTITY postgresql-version           "9.2.4">
-<!ENTITY sqlite-version               "3.7.16.2">
+<!ENTITY sqlite-version               "3.7.17">
 
 <!-- Chapter 23 -->
 <!ENTITY openldap-version             "2.4.35">
@@ -573,14 +574,14 @@
 <!ENTITY pango-version                "1.32.5">
 <!ENTITY pangox-version               "0.0.2">
 <!ENTITY pangomm-version              "2.28.4">
-<!ENTITY qt-version                   "4.8.4">
+<!ENTITY qt4-version                  "4.8.4">
 <!ENTITY shared-mime-info-version     "1.1">
 <!ENTITY startup-notification-version "0.12">
 <!ENTITY webkitgtk-version            "1.10.2">
 <!ENTITY xulrunner-version            "21.0">
 
 <!ENTITY gtk2-libdir                  "2.0/2.10.0">
-<!ENTITY qt-dir                       "$QTDIR">
+<!ENTITY qt4-dir                      "$QTDIR">
 
 <!-- Removed
 <!ENTITY libsexy-version              "0.1.11">
@@ -818,7 +819,7 @@
 <!ENTITY faac-version                 "1.28">
 <!ENTITY faad2-version                "2.7">
 <!ENTITY farstream-version            "0.2.3">
-<!ENTITY flac-version                 "1.2.1">
+<!ENTITY flac-version                 "1.3.0">
 <!ENTITY gstreamer-version            "0.10.36">
 <!ENTITY gst-plugins-base-version     "0.10.36">
 <!ENTITY gst-plugins-good-version     "0.10.31">
@@ -845,7 +846,7 @@
 <!ENTITY libmusicbrainz-version       "2.1.5">
 <!ENTITY libmusicbrainz3-version      "3.0.3">
 <!ENTITY libmusicbrainz5-version      "5.0.1">
-<!ENTITY libogg-version               "1.3.0">
+<!ENTITY libogg-version               "1.3.1">
 <!ENTITY libquicktime-version         "1.2.4">
 <!ENTITY libsamplerate-version        "0.1.8">
 <!ENTITY libsndfile-version           "1.0.25">

Modified: branches/systemd/general/genlib/icu.xml
==============================================================================
--- branches/systemd/general/genlib/icu.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/genlib/icu.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -7,10 +7,10 @@
   <!ENTITY icu-download-http
            "http://download.icu-project.org/files/icu4c/&icu-version;/icu4c-&icu-dl-version;-src.tgz">
   <!ENTITY icu-download-ftp  " ">
-  <!ENTITY icu-md5sum        "6eef33b229d0239d654983028c9c7053">
+  <!ENTITY icu-md5sum        "072e501b87065f3a0ca888f1b5165709">
   <!ENTITY icu-size          "21 MB">
-  <!ENTITY icu-buildsize     "285 MB">
-  <!ENTITY icu-time          "1.5 SBU">
+  <!ENTITY icu-buildsize     "288 MB">
+  <!ENTITY icu-time          "1.0 SBU">
 ]>
 
 <sect1 id="icu" xreflabel="ICU-&icu-version;">

Modified: branches/systemd/general/genlib/libdbusmenuqt.xml
==============================================================================
--- branches/systemd/general/genlib/libdbusmenuqt.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/genlib/libdbusmenuqt.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -69,7 +69,7 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-    <xref linkend="qt"/>
+    <xref linkend="qt4"/>
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
@@ -91,7 +91,7 @@
 
 <screen><userinput>mkdir build &&
 cd build &&
-cmake -DCMAKE_INSTALL_PREFIX=&qt-dir; \
+cmake -DCMAKE_INSTALL_PREFIX=&qt4-dir; \
       -DWITH_DOC=OFF .. &&
 make</userinput></screen>
 
@@ -125,7 +125,7 @@
       <seglistitem>
         <seg>None</seg>
         <seg>libdbusmenu-qt.so</seg>
-        <seg>&qt-dir;/include/dbusmenu-qt</seg>
+        <seg>&qt4-dir;/include/dbusmenu-qt</seg>
       </seglistitem>
     </segmentedlist>
 <!--

Modified: branches/systemd/general/genlib/pcre.xml
==============================================================================
--- branches/systemd/general/genlib/pcre.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/genlib/pcre.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -6,10 +6,10 @@
 
   <!ENTITY pcre-download-http "&sourceforge-repo;/pcre/pcre-&pcre-version;.tar.bz2">
   <!ENTITY pcre-download-ftp  "ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-&pcre-version;.tar.bz2">
-  <!ENTITY pcre-md5sum        "62f02a76bb57a40bc66681760ed511d5">
-  <!ENTITY pcre-size          "1.3 MB">
-  <!ENTITY pcre-buildsize     "16 MB">
-  <!ENTITY pcre-time          "0.3 SBU">
+  <!ENTITY pcre-md5sum        "21514018448ac10062ece7a668fca949">
+  <!ENTITY pcre-size          "1.4 MB">
+  <!ENTITY pcre-buildsize     "18 MB">
+  <!ENTITY pcre-time          "0.2 SBU">
 ]>
 
 <sect1 id="pcre" xreflabel="PCRE-&pcre-version;">
@@ -78,6 +78,9 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
       <ulink url="http://valgrind.org/">Valgrind</ulink>
+<!-- --enable-pcretest-libedit (redundant as long as LFS installs libreadline
+      and <ulink url="http://www.thrysoee.dk/editline/">libedit</ulink>
+-->
     </para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -99,6 +102,7 @@
             --enable-unicode-properties       \
             --enable-pcregrep-libz            \
             --enable-pcregrep-libbz2          \
+            --enable-pcretest-libreadline     \
             --disable-static                 &&
 make</userinput></screen>
 
@@ -112,7 +116,7 @@
 
 <screen role="root"><userinput>make install                     &&
 mv -v /usr/lib/libpcre.so.* /lib &&
-ln -sfv ../../lib/libpcre.so.1.2.0 /usr/lib/libpcre.so</userinput></screen>
+ln -sfv ../../lib/libpcre.so.1.2.1 /usr/lib/libpcre.so</userinput></screen>
 
   </sect2>
 
@@ -143,6 +147,11 @@
       <filename class="extension">.bz2</filename> compressed files.
     </para>
 
+    <para>
+      <option>--enable-pcretest-libreadline</option>: This switch adds line
+      editing and history features to <command>pcretest</command> program.
+    </para>
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/static-libraries.xml"/>
 

Modified: branches/systemd/general/genlib/qca.xml
==============================================================================
--- branches/systemd/general/genlib/qca.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/genlib/qca.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -71,7 +71,7 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-    <xref linkend="qt"/> and
+    <xref linkend="qt4"/> and
     <xref linkend="which"/>
     </para>
 
@@ -87,7 +87,7 @@
     commands:</para>
 
 <screen><userinput>sed -i '217s at set@this->set@' src/botantools/botan/botan/secmem.h &&
-./configure --prefix=&qt-dir; \
+./configure --prefix=&qt4-dir; \
             --certstore-path=/etc/ssl/ca-bundle.crt &&
 make</userinput></screen>
 
@@ -123,7 +123,7 @@
       <seglistitem>
         <seg>qcatool2 and qcatool2.debug</seg>
         <seg>libqca.so and libqca.so.&qca-version;.debug</seg>
-        <seg>&qt-dir;/include/QtCrypto and &qt-dir;/share/qca</seg>
+        <seg>&qt4-dir;/include/QtCrypto and &qt4-dir;/share/qca</seg>
       </seglistitem>
     </segmentedlist>
 <!--

Modified: branches/systemd/general/genlib/qjson.xml
==============================================================================
--- branches/systemd/general/genlib/qjson.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/genlib/qjson.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -74,7 +74,7 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="qt"/> and
+      <xref linkend="qt4"/> and
       <xref linkend="cmake"/>
     </para>    
     
@@ -93,7 +93,7 @@
 
 <screen><userinput>mkdir build &&
 cd build &&
-cmake -DCMAKE_INSTALL_PREFIX=&qt-dir; \
+cmake -DCMAKE_INSTALL_PREFIX=&qt4-dir; \
       -DCMAKE_BUILD_TYPE=Release \
       .. &&
 make</userinput></screen>
@@ -125,7 +125,7 @@
           libqjson.so
         </seg>
         <seg>
-          &qt-dir;/include/json and &qt-dir;/lib/cmake/qjson
+          &qt4-dir;/include/json and &qt4-dir;/lib/cmake/qjson
         </seg>
       </seglistitem>
     </segmentedlist>

Modified: branches/systemd/general/genutils/graphviz.xml
==============================================================================
--- branches/systemd/general/genutils/graphviz.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/genutils/graphviz.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -100,7 +100,7 @@
       <ulink url="http://www.freedesktop.org/wiki/Software/glitz">glitz</ulink>,
       <xref linkend="gs"/>,
       <xref linkend="gtk2"/> and
-      <xref linkend="qt"/>
+      <xref linkend="qt4"/>
     </para>
 
     <bridgehead renderas="sect4">Optional (To Build Language Bindings)</bridgehead>

Modified: branches/systemd/general/genutils/pinentry.xml
==============================================================================
--- branches/systemd/general/genutils/pinentry.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/genutils/pinentry.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -71,7 +71,7 @@
     <para role="optional">
       <xref linkend="gtk2"/>,
       <xref linkend="libcap2"/> and
-      <xref linkend="qt"/>
+      <xref linkend="qt4"/>
     </para>
 
     <para condition="html" role="usernotes">User Notes:

Modified: branches/systemd/general/graphlib/harfbuzz.xml
==============================================================================
--- branches/systemd/general/graphlib/harfbuzz.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/graphlib/harfbuzz.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -7,10 +7,10 @@
   <!ENTITY harfbuzz-download-http
            "http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-&harfbuzz-version;.tar.bz2">
   <!ENTITY harfbuzz-download-ftp  " ">
-  <!ENTITY harfbuzz-md5sum        "90855e670c790c1fec4592908be3c0b8">
-  <!ENTITY harfbuzz-size          "884 KB">
-  <!ENTITY harfbuzz-buildsize     "32 MB">
-  <!ENTITY harfbuzz-time          "0.3 SBU">
+  <!ENTITY harfbuzz-md5sum        "0bff05fafef4894031b2b64a65ac1899">
+  <!ENTITY harfbuzz-size          "882 KB">
+  <!ENTITY harfbuzz-buildsize     "24 MB">
+  <!ENTITY harfbuzz-time          "0.2 SBU">
 ]>
 
 <sect1 id="harfbuzz" xreflabel="Harfbuzz-&harfbuzz-version;">
@@ -136,7 +136,7 @@
           hb-ot-shape-closure, hb-shape and hb-view
         </seg>
         <seg>
-          libharfbuzz.so
+          libharfbuzz.so and libharfbuzz-icu.so
         </seg>
         <seg>
           /usr/include/harfbuzz

Modified: branches/systemd/general/graphlib/libjpeg-turbo.xml
==============================================================================
--- branches/systemd/general/graphlib/libjpeg-turbo.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/graphlib/libjpeg-turbo.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -6,10 +6,10 @@
 
   <!ENTITY libjpeg-download-http "&sourceforge-repo;/libjpeg-turbo/libjpeg-turbo-&libjpeg-turbo-version;.tar.gz">
   <!ENTITY libjpeg-download-ftp  " ">
-  <!ENTITY libjpeg-md5sum        "f61e60ff01381ece4d2fe65eeb52669e">
-  <!ENTITY libjpeg-size          "1.7 MB">
-  <!ENTITY libjpeg-buildsize     "15 MB">
-  <!ENTITY libjpeg-time          "0.4 SBU">
+  <!ENTITY libjpeg-md5sum        "e1e65cc711a1ade1322c06ad4a647741">
+  <!ENTITY libjpeg-size          "1.3 MB">
+  <!ENTITY libjpeg-buildsize     "13 MB">
+  <!ENTITY libjpeg-time          "0.3 SBU">
 ]>
 
 <sect1 id="libjpeg" xreflabel="libjpeg-turbo-&libjpeg-turbo-version;">

Modified: branches/systemd/general/graphlib/poppler.xml
==============================================================================
--- branches/systemd/general/graphlib/poppler.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/graphlib/poppler.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -131,7 +131,7 @@
       <xref linkend="libtiff"/>,
       <xref linkend="libxml2"/>,
       <xref linkend="openjpeg"/> and
-      <xref linkend="qt"/> (the <filename>libpoppler-qt4.so</filename> library
+      <xref linkend="qt4"/> (the <filename>libpoppler-qt4.so</filename> library
       is needed for PDF support in <application>Okular</application>).
     </para>
 

Modified: branches/systemd/general/prog/cmake.xml
==============================================================================
--- branches/systemd/general/prog/cmake.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/prog/cmake.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -86,7 +86,7 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
       <xref linkend="subversion"/> (for testing) and
-      <xref linkend="qt"/> (for the Qt-based GUI)
+      <xref linkend="qt4"/> (for the Qt-based GUI)
     </para>
 
     <para condition="html" role="usernotes">User Notes:

Modified: branches/systemd/general/prog/doxygen.xml
==============================================================================
--- branches/systemd/general/prog/doxygen.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/prog/doxygen.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -93,7 +93,7 @@
       <xref linkend="graphviz"/>,
       <xref linkend="gs"/>,
       <xref linkend="python2"/>,
-      <xref linkend="qt"/> (for doxywizard) and
+      <xref linkend="qt4"/> (for doxywizard) and
       <xref linkend="texlive"/>
     </para>
 

Modified: branches/systemd/general/prog/git.xml
==============================================================================
--- branches/systemd/general/prog/git.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/prog/git.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -6,10 +6,10 @@
 
   <!ENTITY git-download-http "http://git-core.googlecode.com/files/git-&git-version;.tar.gz">
   <!ENTITY git-download-ftp  " ">
-  <!ENTITY git-md5sum        "03ebfd403a8cf355da0e3f15e53b8925">
+  <!ENTITY git-md5sum        "d91b6099fb6763cf92c696977a247060">
   <!ENTITY git-size          "4.3 MB">
-  <!ENTITY git-buildsize     "225 MB">
-  <!ENTITY git-time          "5.0 SBU (including tests)">
+  <!ENTITY git-buildsize     "217 MB">
+  <!ENTITY git-time          "0.6 SBU (additional 2.9 SBU for tests)">
 ]>
 
 <sect1 id="git" xreflabel="git-&git-version;">

Modified: branches/systemd/general/prog/mercurial.xml
==============================================================================
--- branches/systemd/general/prog/mercurial.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/prog/mercurial.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -6,10 +6,10 @@
 
   <!ENTITY mercurial-download-http "http://mercurial.selenic.com/release/mercurial-&mercurial-version;.tar.gz">
   <!ENTITY mercurial-download-ftp  " ">
-  <!ENTITY mercurial-md5sum        "6b467f41a262e2537cf927ed42d0fdda">
-  <!ENTITY mercurial-size          "3.7 MB">
-  <!ENTITY mercurial-buildsize     "40 MB">
-  <!ENTITY mercurial-time          "0.1 SBU (additional 8.5 SBU for tests)">
+  <!ENTITY mercurial-md5sum        "55f6ea5982cf87836113376174826e8c">
+  <!ENTITY mercurial-size          "3.6 MB">
+  <!ENTITY mercurial-buildsize     "43 MB">
+  <!ENTITY mercurial-time          "0.1 SBU (additional 12 SBU for tests)">
 ]>
 
 <sect1 id="mercurial" xreflabel="mercurial-&mercurial-version;">
@@ -30,11 +30,10 @@
     <title>Introduction to Mercurial</title>
 
     <para><application>Mercurial</application> is a distributed source control
-    management tool similar to <application>CVS</application>,
-    <application>Subversion</application> and <application>Git</application>.
-    <application>Mercurial</application> is written in
-    <application>Python</application> and is used by projects such as Mozilla,
-    Vim and Audacious.</para>
+    management tool similar to <application>Git</application> and
+    <application>Bazaar</application>. <application>Mercurial</application> is
+    written in <application>Python</application> and is used by projects such as
+    Mozilla and Vim.</para>
 
     &lfs73_checked;
 
@@ -81,7 +80,7 @@
     <para role="optional">
     <ulink url="http://docutils.sourceforge.net/">Docutils</ulink> (required to build the documentation),
     <xref linkend="git"/>,
-    <xref linkend="gpg2"/> (with Python bindings),
+    <xref linkend="gnupg2"/> (<command>gpg2</command> with Python bindings),
     <xref linkend="subversion"/> (with Python bindings),
     <xref linkend="bazaar"/>,
     <xref linkend="cvs"/>,

Modified: branches/systemd/general/prog/ruby.xml
==============================================================================
--- branches/systemd/general/prog/ruby.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/prog/ruby.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -5,11 +5,11 @@
   %general-entities;
 
   <!ENTITY ruby-download-http " ">
-  <!ENTITY ruby-download-ftp  "ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-&ruby-version;.tar.bz2">
-  <!ENTITY ruby-md5sum        "c2b2de5ef15ea9b1aaa3152f9112af1b">
-  <!ENTITY ruby-size          "9.6 MB">
-  <!ENTITY ruby-buildsize     "890 MB">
-  <!ENTITY ruby-time          "4.0 SBU">
+  <!ENTITY ruby-download-ftp  "ftp://ftp.ruby-lang.org/pub/ruby/2.0/ruby-&ruby-version;-p&ruby-patch-version;.tar.bz2">
+  <!ENTITY ruby-md5sum        "2f54faea6ee1ca500632ec3c0cb59cb6">
+  <!ENTITY ruby-size          "11 MB">
+  <!ENTITY ruby-buildsize     "515 MB">
+  <!ENTITY ruby-time          "3.6 SBU">
 ]>
 
 <sect1 id="ruby" xreflabel="Ruby-&ruby-version;">
@@ -96,7 +96,7 @@
       commands:
     </para>
 
-<screen><userinput>./configure --prefix=/usr --enable-shared &&
+<screen><userinput>./configure --prefix=/usr --docdir=/usr/share/doc/ruby-&ruby-version; --enable-shared &&
 make</userinput></screen>
 
     <para>
@@ -138,9 +138,9 @@
           <filename class="directory">/usr/lib/ruby</filename> hierarchy.
         </seg>
         <seg>
-          /usr/include/ruby-1.9.1,
+          /usr/include/ruby-&ruby-version;,
           /usr/lib/ruby,
-          /usr/share/doc/ruby and
+          /usr/share/doc/ruby-&ruby-version; and
           /usr/share/ri
         </seg>
       </seglistitem>

Modified: branches/systemd/general/prog/subversion.xml
==============================================================================
--- branches/systemd/general/prog/subversion.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/prog/subversion.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -7,10 +7,10 @@
   <!ENTITY subversion-download-http
   "http://archive.apache.org/dist/subversion/subversion-&subversion-version;.tar.bz2">
   <!ENTITY subversion-download-ftp  " ">
-  <!ENTITY subversion-md5sum        "454b9f398415c3504435bf8c3f6ed127">
-  <!ENTITY subversion-size          "5.8 MB">
-  <!ENTITY subversion-buildsize     "115 MB (additional 585 MB for tests)">
-  <!ENTITY subversion-time          "0.9 SBU (additional 19 SBU for tests)">
+  <!ENTITY subversion-md5sum        "4088a77e14232876c9b4ff1541e6e200">
+  <!ENTITY subversion-size          "5.7 MB">
+  <!ENTITY subversion-buildsize     "127 MB (additional 586 MB for tests)">
+  <!ENTITY subversion-time          "0.8 SBU (additional 20 SBU for tests)">
 ]>
 
 <sect1 id="subversion" xreflabel="Subversion-&subversion-version;">
@@ -89,43 +89,45 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="sqlite"/>,
-      <xref linkend="apr-util"/> and
+      <xref linkend="apr-util"/>,
       <xref linkend="neon"/> or
-      <ulink url="http://code.google.com/p/serf/">serf</ulink>
+      <ulink url="http://code.google.com/p/serf/">serf</ulink>, and
+      <xref linkend="sqlite"/>
     </para>
 
-    <para>
-      If you require the <application>Berkeley DB</application> back-end hooks
-      in <application>Subversion</application> to build or support BDB based
-      repositories, you must have <application>APR-util</application> linked to
-      the <application>Berkeley DB</application> library.
-    </para>
+    <note>
+      <para>
+        If you require the <application>Berkeley DB</application> back-end hooks
+        in <application>Subversion</application> to build or support BDB based
+        repositories, you must have <application>APR-util</application> linked to
+        the <application>Berkeley DB</application> library.
+      </para>
+    </note>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="python2"/> (required to run the test suite),
+      <xref linkend="apache"/>
       <xref linkend="db"/>,
       <xref linkend="cyrus-sasl"/>,
-      <xref linkend="openssl"/>,
       <xref linkend="dbus-glib"/>,
       <xref linkend="gnome-keyring"/>,
-      <xref linkend="kdelibs"/> (for <ulink url="http://utils.kde.org/projects/kwalletmanager/">KWallet</ulink> support) and
-      <xref linkend="apache"/>
+      <xref linkend="kdelibs"/> (for <ulink url="http://utils.kde.org/projects/kwalletmanager/">KWallet</ulink> support),
+      <xref linkend="openssl"/>,
+      <xref linkend="python2"/> (required to run the test suite) and
+      <xref linkend="ruby"/> (version 1.8.x)
     </para>
 
     <bridgehead renderas="sect4">Optional (for the Java Bindings)</bridgehead>
     <para role="optional">
       One of <xref linkend="openjdk"/>,
-      <ulink url="http://www.inet.no/dante/">Dante</ulink>, or
+      <ulink url="http://www.inet.no/dante/">Dante</ulink> or
       <ulink url="http://oss.software.ibm.com/developerworks/opensource/jikes/">Jikes</ulink>,
       and <xref linkend="junit"/> (to test the Java bindings)
     </para>
 
     <bridgehead renderas="sect4">Optional (for the SWIG Bindings)</bridgehead>
     <para role="optional">
-      <ulink url="http://www.swig.org">SWIG</ulink> and
-      <xref linkend="python2"/>
+      <ulink url="http://www.swig.org">SWIG</ulink>
     </para>
 
     <para condition="html" role="usernotes">
@@ -158,11 +160,6 @@
 <screen><userinput>make javahl</userinput></screen>
 
     <para>
-      <application>Perl</application> and/or <application>Python</application>
-      <!-- ruby is currently b0rken <application>Ruby</application> -->
-    </para>
-
-    <para>
       If you have a multi core CPU and normally run <command>make</command> with
       multiple jobs (eg <command>make -j4</command>) then a bug in the
       <filename>Makefile</filename> will prevent the
@@ -173,15 +170,13 @@
 <screen><userinput>sed -i 's#Makefile.PL.in$#& libsvn_swig_perl#' Makefile.in</userinput></screen>
 
     <para>
-      To compile the <application>Perl</application> and/or
-      <application>Python</application> bindings issue any or all of the
-      following commands:
+      To compile the <application>Perl</application>,
+      <application>Python</application> or <application>Ruby</application>
+      bindings issue any of the following commands:
     </para>
 <screen><userinput>make swig-pl &&
-make swig-py</userinput></screen>
-
-<!-- &&
-make swig-rb -->
+make swig-py &&
+make swig-rb</userinput></screen>
 
     <para>
       To test the results, issue: <command>make check</command>.
@@ -194,15 +189,13 @@
     </para>
 
     <para>
-      To test the results of any or all of the <application>SWIG</application>
-      bindings, you can use the following commands:
+      To test the results of any of the <application>SWIG</application>
+      bindings, you can use any of the following commands:
     </para>
 
 <screen><userinput>make check-swig-pl &&
-make check-swig-py</userinput></screen>
-
-<!-- &&
-make check-swig-rb -->
+make check-swig-py &&
+make check-swig-rb </userinput></screen>
 
     <para>
       Now, as the <systemitem class="username">root</systemitem> user:
@@ -222,15 +215,13 @@
 
     <para>
       If you built any of the <application>SWIG</application> bindings, issue
-      any or all of the following commands as the
+      any of the following commands as the
       <systemitem class="username">root</systemitem> user to install them:
     </para>
 
 <screen role="root"><userinput>make install-swig-pl &&
-make install-swig-py</userinput></screen>
-
-<!-- &&
-make install-swig-rb -->
+make install-swig-py &&
+make install-swig-rb</userinput></screen>
 
     <para>
       In order for <application>Python</application> to automatically discover
@@ -307,11 +298,11 @@
 
       <seglistitem>
         <seg>
-          svn, svnadmin, svndumpfilter, svnlook, svnserve, svnsync and
+          svn, svnadmin, svndumpfilter, svnlook, svnrdump, svnserve, svnsync and
           svnversion
         </seg>
         <seg>
-          libsvn*.so and optionally, a Java library, the mod_dav_svn.so, and
+          libsvn_*-1.so and optionally, a Java library, the mod_dav_svn.so and
           and mod_authz_svn.so <application>Apache HTTP</application> DSO
           modules and various <application>Perl</application> and
           <application>Python</application>
@@ -438,15 +429,15 @@
         </listitem>
       </varlistentry>
 
-      <varlistentry id="libsvn_star">
-        <term><filename class="libraryfile">libsvn_*.so</filename></term>
+      <varlistentry id="libsvn_star-1">
+        <term><filename class="libraryfile">libsvn_*-1.so</filename></term>
         <listitem>
           <para>
             are the support libraries used by the
             <application>Subversion</application> programs.
           </para>
-          <indexterm zone="subversion libsvn_star">
-            <primary sortas="c-libsvn_star">libsvn_*.so</primary>
+          <indexterm zone="subversion libsvn_star-1">
+            <primary sortas="c-libsvn_star-1">libsvn_*-1.so</primary>
           </indexterm>
         </listitem>
       </varlistentry>

Modified: branches/systemd/general/sysutils/strigi.xml
==============================================================================
--- branches/systemd/general/sysutils/strigi.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/general/sysutils/strigi.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -65,7 +65,7 @@
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-    <xref linkend="qt"/> and
+    <xref linkend="qt4"/> and
     <xref linkend="dbus"/>
     </para>
 

Modified: branches/systemd/introduction/welcome/changelog.xml
==============================================================================
--- branches/systemd/introduction/welcome/changelog.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/introduction/welcome/changelog.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -43,6 +43,64 @@
     </listitem>
 
 -->
+
+    <listitem>
+      <para>June 5th, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[igor] - Nmap-6.25.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>June 2nd, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[igor] - OpenSSH-6.2p2.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - Sudo-1.8.6p8.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - mercurial-2.6.2.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - Subversion-1.7.10.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - Ruby-2.0.0.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - Git-1.8.3.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - Harfbuzz-0.9.18.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - ICU-51.2.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - libjpeg-turbo-1.3.0.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - SQLite-3.7.17.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - FLAC-1.3.0.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - BIND-9.9.3.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - PCRE-8.33.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - libogg-1.3.1.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>May 30th, 2013</para>
       <itemizedlist>

Modified: branches/systemd/kde/core/akonadi.xml
==============================================================================
--- branches/systemd/kde/core/akonadi.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/kde/core/akonadi.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -98,7 +98,7 @@
 <screen><userinput>mkdir build &&
 cd build &&
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
-      -DCMAKE_PREFIX_PATH=&qt-dir; \
+      -DCMAKE_PREFIX_PATH=&qt4-dir; \
       -DCMAKE_BUILD_TYPE=Release \
       -DINSTALL_QSQLITE_IN_QT_PREFIX=TRUE \
       .. &&
@@ -115,7 +115,7 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para><option>-DCMAKE_PREFIX_PATH=&qt-dir;</option>: This switch is used to
+    <para><option>-DCMAKE_PREFIX_PATH=&qt4-dir;</option>: This switch is used to
     help <command>cmake</command> find <command>automoc4</command>.</para>
 
     <para><option>-DCMAKE_BUILD_TYPE=Release</option>: This switch is used to apply

Modified: branches/systemd/kde/core/attica.xml
==============================================================================
--- branches/systemd/kde/core/attica.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/kde/core/attica.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -70,7 +70,7 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-    <xref linkend="qt"/> and
+    <xref linkend="qt4"/> and
     <xref linkend="cmake"/>
     </para>
 

Modified: branches/systemd/kde/core/automoc4.xml
==============================================================================
--- branches/systemd/kde/core/automoc4.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/kde/core/automoc4.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -72,7 +72,7 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
     <xref linkend="cmake"/> and
-    <xref linkend="qt"/>
+    <xref linkend="qt4"/>
     </para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -88,7 +88,7 @@
 
 <screen><userinput>mkdir build &&
 cd build &&
-cmake -DCMAKE_INSTALL_PREFIX=&qt-dir; .. &&
+cmake -DCMAKE_INSTALL_PREFIX=&qt4-dir; .. &&
 make</userinput></screen>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>

Modified: branches/systemd/kde/core/config.xml
==============================================================================
--- branches/systemd/kde/core/config.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/kde/core/config.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -66,7 +66,7 @@
   <sect2 role="content">
     <title>Installing further KDE packages</title>
     <para>Every subsequent package can be built while having <application>KDE</application> up and
-    running, but remember to keep <envar>&kde-dir;</envar> and <envar>&qt-dir;</envar> set.</para>
+    running, but remember to keep <envar>&kde-dir;</envar> and <envar>&qt4-dir;</envar> set.</para>
   </sect2>
 
 </sect1>
\ No newline at end of file

Modified: branches/systemd/kde/core/phonon.xml
==============================================================================
--- branches/systemd/kde/core/phonon.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/kde/core/phonon.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -89,7 +89,7 @@
   <sect2 role="installation">
     <title>Installation of Phonon</title>
 
-    <para>Make sure that <xref linkend="qt"/> is compiled without the bundled
+    <para>Make sure that <xref linkend="qt4"/> is compiled without the bundled
     <application>Phonon</application> library. This package provides
     a better implementation.</para>
 
@@ -98,7 +98,7 @@
 
 <screen><userinput>mkdir build &&
 cd build &&
-cmake -DCMAKE_INSTALL_PREFIX=&qt-dir; \
+cmake -DCMAKE_INSTALL_PREFIX=&qt4-dir; \
       -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE \
       -DDBUS_INTERFACES_INSTALL_DIR=/usr/share/dbus-1/interfaces \
       .. &&

Modified: branches/systemd/kde/core/polkit-qt.xml
==============================================================================
--- branches/systemd/kde/core/polkit-qt.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/kde/core/polkit-qt.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -86,7 +86,7 @@
 
 <screen><userinput>mkdir build &&
 cd build &&
-CMAKE_PREFIX_PATH=&qt-dir; \
+CMAKE_PREFIX_PATH=&qt4-dir; \
       cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; .. &&
 make</userinput></screen>
 
@@ -103,7 +103,7 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para><option>CMAKE_PREFIX_PATH=&qt-dir;</option>: This option is set to
+    <para><option>CMAKE_PREFIX_PATH=&qt4-dir;</option>: This option is set to
     find <command>automoc4</command>.</para>
 
   </sect2>

Modified: branches/systemd/kde/core/qimageblitz.xml
==============================================================================
--- branches/systemd/kde/core/qimageblitz.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/kde/core/qimageblitz.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -70,7 +70,7 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-    <xref linkend="qt"/> and
+    <xref linkend="qt4"/> and
     <xref linkend="cmake"/>
     </para>
 

Modified: branches/systemd/multimedia/libdriv/flac.xml
==============================================================================
--- branches/systemd/multimedia/libdriv/flac.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/multimedia/libdriv/flac.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -4,12 +4,12 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY flac-download-http "&sourceforge-repo;/flac/flac-&flac-version;.tar.gz">
-  <!ENTITY flac-download-ftp  " ">
-  <!ENTITY flac-md5sum        "153c8b15a54da428d1f0fadc756c22c7">
-  <!ENTITY flac-size          "1.9 MB">
-  <!ENTITY flac-buildsize     "205 MB (includes running the test suite)">
-  <!ENTITY flac-time          "0.6 SBU (additional 8 SBU to run the test suite)">
+  <!ENTITY flac-download-http "http://downloads.xiph.org/releases/flac/flac-&flac-version;.tar.xz">
+  <!ENTITY flac-download-ftp  "ftp://downloads.xiph.org/pub/xiph/releases/flac/flac-&flac-version;.tar.xz">
+  <!ENTITY flac-md5sum        "13b5c214cee8373464d3d65dee362cdd">
+  <!ENTITY flac-size          "1.1 MB">
+  <!ENTITY flac-buildsize     "22 MB (additional 77 MB to run the test suite)">
+  <!ENTITY flac-time          "0.3 SBU (additional 0.9 SBU to run the test suite)">
 ]>
 
 <sect1 id="flac" xreflabel="FLAC-&flac-version;">
@@ -88,12 +88,7 @@
     <para>Install <application>FLAC</application> by running the
     following commands:</para>
 
-<screen><userinput>sed -i 's/#include <stdio.h>/&\n#include <string.h>/' \
-    examples/cpp/encode/file/main.cpp &&
-
-./configure --prefix=/usr \
-            --mandir=/usr/share/man \
-            --disable-static \
+<screen><userinput>./configure --prefix=/usr \
             --disable-thorough-tests &&
 make</userinput></screen>
 
@@ -113,9 +108,6 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
     <para><parameter>--disable-thorough-tests</parameter>: This parameter is
     used so that the test suite will complete in a reasonable amount of time.
     Remove it if you desire more extensive tests.</para>

Modified: branches/systemd/multimedia/libdriv/libogg.xml
==============================================================================
--- branches/systemd/multimedia/libdriv/libogg.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/multimedia/libdriv/libogg.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -5,9 +5,9 @@
   %general-entities;
 
   <!ENTITY libogg-download-http "http://downloads.xiph.org/releases/ogg/libogg-&libogg-version;.tar.xz">
-  <!ENTITY libogg-download-ftp  " ">
-  <!ENTITY libogg-md5sum        "84a35715170f2cd4c77a4448772b95d5">
-  <!ENTITY libogg-size          "288 KB">
+  <!ENTITY libogg-download-ftp  "ftp://downloads.xiph.org/pub/xiph/releases/ogg/libogg-&libogg-version;.tar.xz">
+  <!ENTITY libogg-md5sum        "ca25d8da0ddfc8c6cbbf78d847a209fe">
+  <!ENTITY libogg-size          "398 KB">
   <!ENTITY libogg-buildsize     "4 MB">
   <!ENTITY libogg-time          "less than 0.1 SBU">
 ]>
@@ -68,7 +68,7 @@
     <para>Install <application>libogg</application> by running the following
     commands:</para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &&
+<screen><userinput>./configure --prefix=/usr --docdir=/usr/share/doc/libogg-&libogg-version; --disable-static &&
 make</userinput></screen>
 
     <para>To test the results, issue: <command>make check</command>.</para>
@@ -110,7 +110,7 @@
       <varlistentry id="libogg-lib">
         <term><filename class='libraryfile'>libogg.so</filename></term>
         <listitem>
-          <para>libraries provide the functions required for programs to
+          <para>provides the functions required for programs to
           read or write Ogg formatted bit streams.</para>
           <indexterm zone="libogg libogg-lib">
             <primary sortas="c-libogg">libogg.so</primary>

Modified: branches/systemd/multimedia/videoutils/vlc.xml
==============================================================================
--- branches/systemd/multimedia/videoutils/vlc.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/multimedia/videoutils/vlc.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -101,7 +101,7 @@
       <xref linkend="liba52"/>,
       <xref linkend="libgcrypt"/>,
       <xref linkend="libmad"/> and
-      <xref linkend="qt"/> (<application>Qt</application> is required for the
+      <xref linkend="qt4"/> (<application>Qt</application> is required for the
       graphical user interface; without <application>Qt</application> you will
       only be able to use the command line or <application>ncurses</application>
       interface)

Modified: branches/systemd/networking/netprogs/wpa_supplicant.xml
==============================================================================
--- branches/systemd/networking/netprogs/wpa_supplicant.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/networking/netprogs/wpa_supplicant.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -88,7 +88,7 @@
     <para role="optional">
       <xref linkend="dbus"/>,
       <xref linkend="libxml2"/> and
-      <xref linkend="qt"/>
+      <xref linkend="qt4"/>
     </para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -189,7 +189,7 @@
 make BINDIR=/sbin LIBDIR=/lib</userinput></screen>
 
     <para>
-      If you have installed <xref linkend="qt"/> and wish to build
+      If you have installed <xref linkend="qt4"/> and wish to build
       the <application>WPA Supplicant</application> GUI program, run
       the following commands:
     </para>

Modified: branches/systemd/networking/netutils/avahi.xml
==============================================================================
--- branches/systemd/networking/netutils/avahi.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/networking/netutils/avahi.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -90,7 +90,7 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="qt"/>
+      <xref linkend="qt4"/>
     </para>
 
     <para condition="html" role="usernotes">User Notes:

Modified: branches/systemd/networking/netutils/bind-utils.xml
==============================================================================
--- branches/systemd/networking/netutils/bind-utils.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/networking/netutils/bind-utils.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -5,10 +5,10 @@
   %general-entities;
   <!ENTITY bind-download-http   " ">
   <!ENTITY bind-download-ftp    "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.gz">
-  <!ENTITY bind-md5sum          "2be7763c99b7e7b42ac3a18a267ce1aa">
-  <!ENTITY bind-size            "7.0 MB">
-  <!ENTITY bind-utils-buildsize "128 MB">
-  <!ENTITY bind-utils-time      "0.5 SBU">
+  <!ENTITY bind-md5sum          "7baa8359f0773e04f63d7e694db1909c">
+  <!ENTITY bind-size            "7.2 MB">
+  <!ENTITY bind-utils-buildsize "138 MB">
+  <!ENTITY bind-utils-time      "0.8 SBU">
 ]>
 
 <sect1 id="bind-utils" xreflabel="BIND Utilities-&bind-version;">
@@ -65,7 +65,11 @@
     <bridgehead renderas="sect3">BIND Utilities Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="openssl"/></para>
+    <para role="optional">
+      <xref linkend="libcap2"/>,
+      <xref linkend="libxml2"/> and
+      <xref linkend="openssl"/>
+    </para>
 
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/bind-utils"/></para>

Modified: branches/systemd/networking/netutils/nmap.xml
==============================================================================
--- branches/systemd/networking/netutils/nmap.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/networking/netutils/nmap.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -4,11 +4,11 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY nmap-download-http "&sources-anduin-http;/n/nmap-&nmap-version;.tar.bz2">
+  <!ENTITY nmap-download-http "http://nmap.org/dist/nmap-&nmap-version;.tar.bz2">
   <!ENTITY nmap-download-ftp  "&gentoo-ftp-repo;/nmap-&nmap-version;.tar.bz2">
-  <!ENTITY nmap-md5sum        "a1a71940f238abb835dbf3ee7412bcea">
-  <!ENTITY nmap-size          "21 MB">
-  <!ENTITY nmap-buildsize     "115 MB">
+  <!ENTITY nmap-md5sum        "fcc80f94ff3adcb11eedf91092ea6f5e">
+  <!ENTITY nmap-size          "7.4 MB">
+  <!ENTITY nmap-buildsize     "124 MB">
   <!ENTITY nmap-time          "0.9 SBU">
 ]>
 
@@ -59,12 +59,32 @@
 
     <bridgehead renderas="sect3">Nmap Dependencies</bridgehead>
 
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <note>
+      <para>
+        These packages are recommended because if they're not installed, the
+        build process will compile and link against its own (often older)
+        version.
+      </para>
+    </note>
+
+    <para role="recommended">
+      <xref linkend="libpcap"/>,
+      <xref linkend="pcre"/>,
+<!-- This is not recommended, see: http://nmap.org/svn/libdnet-stripped/NMAP_MODIFICATIONS
+      <ulink url="http://code.google.com/p/libdnet/">libdnet</ulink>,
+-->
+      <ulink url="http://www.csie.ntu.edu.tw/~cjlin/liblinear/">liblinear</ulink> and
+      <ulink url="http://www.lua.org/">Lua</ulink>
+    </para>
+
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="openssl"/>,
-    <xref linkend="pcre"/>,
-    <xref linkend="libpcap"/>,
-    <xref linkend="gtk2"/> (run time dependency), and
-    <ulink url="http://sourceforge.net/projects/libdnet/">libdnet</ulink></para>
+    <para role="optional">
+      <xref linkend="openssl"/>,
+      <xref linkend="pygtk"/> (required for <command>zenmap</command>),
+      <xref linkend="python2"/> (required for <command>ndiff</command>) and
+      <xref linkend="subversion"/> (required for <command>nmap-update</command>)
+    </para>
 
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/nmap"/></para>
@@ -94,12 +114,13 @@
     <segmentedlist>
       <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>ncat, ndiff, nmap, nmapfe, nping, uninstall_zenmap, xnmap, and zenmap</seg>
+        <seg>ncat, ndiff, nmap, nmapfe, nmap-update, nping, uninstall_zenmap,
+        xnmap and zenmap</seg>
         <seg>/usr/lib/python&python2-version;/site-packages/</seg>
-        <seg>/usr/share/nmap</seg>
+        <seg>/usr/share/ncat, /usr/share/nmap and /usr/share/zenmap</seg>
       </seglistitem>
     </segmentedlist>
 
@@ -144,17 +165,27 @@
       <varlistentry id="nmapfe">
         <term><command>nmapfe</command></term>
         <listitem>
-          <para>is a symbolic link to <command>zenmap.</command>.</para>
+          <para>is a symbolic link to <command>zenmap</command>.</para>
           <indexterm zone="nmap nmapfe">
             <primary sortas="b-nmapfe">nmapfe</primary>
           </indexterm>
         </listitem>
       </varlistentry>
 
+      <varlistentry id="nmap-update">
+        <term><command>nmap-update</command></term>
+        <listitem>
+          <para>is an updater for Nmap architecture-independent files.</para>
+          <indexterm zone="nmap nmap-update">
+            <primary sortas="b-nmap-update">nmap-update</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="xnmap">
         <term><command>xnmap</command></term>
         <listitem>
-          <para>is a symbolic link to <command>zenmap.</command>.</para>
+          <para>is a symbolic link to <command>zenmap</command>.</para>
           <indexterm zone="nmap xnmap">
             <primary sortas="f-xnmap">xnmap</primary>
           </indexterm>

Modified: branches/systemd/postlfs/security/libcap2.xml
==============================================================================
--- branches/systemd/postlfs/security/libcap2.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/postlfs/security/libcap2.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -164,11 +164,11 @@
       </varlistentry>
 
       <varlistentry id="libcap2-lib">
-        <term><filename class='libraryfile'>libcap2.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libcap.{so,a}</filename></term>
         <listitem>
           <para>contains the <application>libcap2</application> API functions.</para>
           <indexterm zone="libcap2 libcap2-lib">
-            <primary sortas="c-libcap2">libcap2.{so,a}</primary>
+            <primary sortas="c-libcap2">libcap.{so,a}</primary>
           </indexterm>
         </listitem>
       </varlistentry>

Modified: branches/systemd/postlfs/security/openssh.xml
==============================================================================
--- branches/systemd/postlfs/security/openssh.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/postlfs/security/openssh.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -8,9 +8,9 @@
     "http://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-&openssh-version;.tar.gz">
   <!ENTITY openssh-download-ftp
     "ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-&openssh-version;.tar.gz">
-  <!ENTITY openssh-md5sum        "7b2d9dd75b5cf267ea1737ec75500316">
+  <!ENTITY openssh-md5sum        "be46174dcbb77ebb4ea88ef140685de1">
   <!ENTITY openssh-size          "1.2 MB">
-  <!ENTITY openssh-buildsize     "32 MB (plus 10MB if running the tests)">
+  <!ENTITY openssh-buildsize     "31 MB (additional 10 MB if running the tests)">
   <!ENTITY openssh-time          "0.4 SBU (running the tests takes at least 10 minutes, irrespective of processor speed)">
 ]>
 
@@ -126,10 +126,11 @@
       commands:
     </para>
 
-<screen><userinput>./configure --prefix=/usr             \
-            --sysconfdir=/etc/ssh     \
-            --datadir=/usr/share/sshd \
-            --with-md5-passwords      \
+<screen><userinput>./configure --prefix=/usr                     \
+            --libexecdir=/usr/lib/openssh     \
+            --sysconfdir=/etc/ssh             \
+            --datadir=/usr/share/sshd         \
+            --with-md5-passwords              \
             --with-privsep-path=/var/lib/sshd &&
 make</userinput></screen>
 
@@ -142,7 +143,7 @@
     </para>
 
     <para>
-      To test the results, issue: <command>make test</command>.
+      To test the results, issue: <command>make tests</command>.
     </para>
 
 <!-- commenting this, I get "all tests passed" [ ken ]
@@ -163,6 +164,8 @@
     </para>
 
 <screen role="root"><userinput>make install &&
+install -v -m755 contrib/ssh-copy-id /usr/bin &&
+install -v -m644 contrib/ssh-copy-id.1 /usr/share/man/man1 &&
 install -v -m755 -d /usr/share/doc/openssh-&openssh-version; &&
 install -v -m644 INSTALL LICENCE OVERVIEW README* \
     /usr/share/doc/openssh-&openssh-version;</userinput></screen>
@@ -328,7 +331,8 @@
       <seglistitem>
         <seg>
           scp, sftp, sftp-server, slogin, ssh, sshd, ssh-add, ssh-agent,
-          ssh-keygen, ssh-keyscan and ssh-keysign
+          ssh-copy-id, ssh-keygen, ssh-keyscan, ssh-keysign and
+          ssh-pkcs11-helper
         </seg>
         <seg>
           None
@@ -446,6 +450,18 @@
         </listitem>
       </varlistentry>
 
+      <varlistentry id="ssh-copy-id">
+        <term><command>ssh-copy-id</command></term>
+        <listitem>
+          <para>
+            is a script that enables logins on remote machine using local keys.
+          </para>
+          <indexterm zone="openssh ssh-copy-id">
+            <primary sortas="b-ssh-copy-id">ssh-copy-id</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="ssh-keygen">
         <term><command>ssh-keygen</command></term>
         <listitem>
@@ -484,6 +500,19 @@
           </indexterm>
         </listitem>
       </varlistentry>
+
+      <varlistentry id="ssh-pkcs11-helper">
+        <term><command>ssh-pkcs11-helper</command></term>
+        <listitem>
+          <para>
+            is a <command>ssh-agent</command> helper program for PKCS#11 support.
+          </para>
+          <indexterm zone="openssh ssh-pkcs11-helper">
+            <primary sortas="b-ssh-pkcs11-helper">ssh-pkcs11-helper</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
   </sect2>
 </sect1>

Modified: branches/systemd/postlfs/security/sudo.xml
==============================================================================
--- branches/systemd/postlfs/security/sudo.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/postlfs/security/sudo.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -6,10 +6,10 @@
 
   <!ENTITY sudo-download-http "http://www.sudo.ws/sudo/dist/sudo-&sudo-version;.tar.gz">
   <!ENTITY sudo-download-ftp  "ftp://ftp.twaren.net/Unix/Security/Sudo/sudo-&sudo-version;.tar.gz">
-  <!ENTITY sudo-md5sum        "a7b5c39a904721956eccddd30689250f">
+  <!ENTITY sudo-md5sum        "6dac48c73c8e0932980efcddafa569af">
   <!ENTITY sudo-size          "1.8 MB">
-  <!ENTITY sudo-buildsize     "19 MB">
-  <!ENTITY sudo-time          "0.2 SBU">
+  <!ENTITY sudo-buildsize     "23 MB">
+  <!ENTITY sudo-time          "0.3 SBU">
 ]>
 
 <sect1 id="sudo" xreflabel="Sudo-&sudo-version;">
@@ -101,13 +101,11 @@
       the following commands:
     </para>
 
-<screen><userinput>./configure --prefix=/usr                   \
-            --libexecdir=/usr/lib/sudo      \
+<screen><userinput>./configure --prefix=/usr                        \
+            --libexecdir=/usr/lib/sudo           \
             --docdir=/usr/share/doc/sudo-&sudo-version; \
-            --with-all-insults              \
-            --with-env-editor               \
-            --without-pam                   \
-            --without-sendmail &&
+            --with-all-insults                   \
+            --with-env-editor                    &&
 make</userinput></screen>
 
     <para>
@@ -135,17 +133,19 @@
       environment variable EDITOR for <command>visudo</command>.
     </para>
 
+<!--
     <para>
-      <option>--without-pam</option>: This switch disables the use of
+      <option>--without-pam</option>: This switch disables the use of
       <application>PAM</application> authentication. Omit if you have
       <application>Linux PAM</application> installed.
     </para>
 
     <para>
-      <option>--without-sendmail</option>: This switch disables the use of
+      <option>--without-sendmail</option>: This switch disables the use of
       sendmail. Remove if you have a sendmail compatible MTA.
    </para>
 
+-->
     <note>
       <para>
         There are many options to <application>sudo</application>'s

Modified: branches/systemd/server/databases/sqlite.xml
==============================================================================
--- branches/systemd/server/databases/sqlite.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/server/databases/sqlite.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -4,20 +4,20 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY sqlite-dl-version    "3071602">
-  <!ENTITY sqlite-doc-version   "3071602">
+  <!ENTITY sqlite-dl-version    "3071700">
+  <!ENTITY sqlite-doc-version   "3071700">
 
   <!ENTITY sqlite-download-http
            "http://sqlite.org/2013/sqlite-autoconf-&sqlite-dl-version;.tar.gz">
   <!ENTITY sqlite-download-ftp  " ">
-  <!ENTITY sqlite-md5sum        "ce7d2bc0d9b8dd18995b888c6b0b220f">
+  <!ENTITY sqlite-md5sum        "18c285053e9562b848209cb0ee16d4ab">
   <!ENTITY sqlite-size          "1.8 MB">
-  <!ENTITY sqlite-buildsize     "35 MB (includes optional documentation)">
-  <!ENTITY sqlite-time          "0.2 SBU">
+  <!ENTITY sqlite-buildsize     "40 MB (includes optional documentation)">
+  <!ENTITY sqlite-time          "0.3 SBU">
 
   <!ENTITY sqlite-docs-download
            "http://sqlite.org/2013/sqlite-doc-&sqlite-doc-version;.zip">
-  <!ENTITY sqlite-docs-md5sum   "2561853991248a951cd15347d51375d0">
+  <!ENTITY sqlite-docs-md5sum   "f8a99a3db44c9564b32fc47eca6d8cf0">
   <!ENTITY sqlite-docs-size     "4.0 MB">
 ]>
 

Modified: branches/systemd/server/major/bind.xml
==============================================================================
--- branches/systemd/server/major/bind.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/server/major/bind.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -7,10 +7,10 @@
   <!ENTITY bind-download-http " ">
   <!ENTITY bind-download-ftp
   "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.gz">
-  <!ENTITY bind-md5sum "2be7763c99b7e7b42ac3a18a267ce1aa">
-  <!ENTITY bind-size "7.0 MB">
-  <!ENTITY bind-buildsize "178 (additional 162 MB to run the test suite)">
-  <!ENTITY bind-time "1.7 SBU (additional 15 minutes, processor independent, to
+  <!ENTITY bind-md5sum "7baa8359f0773e04f63d7e694db1909c">
+  <!ENTITY bind-size "7.2 MB">
+  <!ENTITY bind-buildsize "110 MB (additional 50 MB to run the test suite)">
+  <!ENTITY bind-time "1.3 SBU (additional 15 minutes, processor independent, to
   run the complete test suite)">
 ]>
 
@@ -72,6 +72,9 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="libcap2"/>,
+      <xref linkend="libxml2"/>,
+      <xref linkend="mitkrb"/> and
       <xref linkend="openssl"/>
     </para>
 
@@ -118,7 +121,8 @@
             --localstatedir=/var    \
             --mandir=/usr/share/man \
             --enable-threads        \
-            --with-libtool          &&
+            --with-libtool          \
+            --disable-static        &&
 make</userinput></screen>
 
     <para>Issue the following commands to run the complete suite of tests.
@@ -136,7 +140,7 @@
 
 <screen role="root"><userinput>bin/tests/system/ifconfig.sh down</userinput></screen>
 
-    <para>Issue the following command to check that all 179 tests
+    <para>Issue the following command to check that all 185 tests
     ran successfully:</para>
 
 <screen><userinput>grep "R:PASS" check.log | wc -l</userinput></screen>
@@ -170,6 +174,9 @@
     building of dynamic libraries and links the installed binaries to these
     libraries.</para>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
     <para><command>chmod 755
     /usr/lib/{lib{bind9,isc{,cc,cfg},lwres,dns}.so.*.?.?}</command>:
     Enable the execute bit to prevent a warning when using
@@ -350,7 +357,7 @@
 A.ROOT-SERVERS.NET.     6D  IN      A       198.41.0.4
 B.ROOT-SERVERS.NET.     6D  IN      A       192.228.79.201
 C.ROOT-SERVERS.NET.     6D  IN      A       192.33.4.12
-D.ROOT-SERVERS.NET.     6D  IN      A       128.8.10.90
+D.ROOT-SERVERS.NET.     6D  IN      A       199.7.91.13
 E.ROOT-SERVERS.NET.     6D  IN      A       192.203.230.10
 F.ROOT-SERVERS.NET.     6D  IN      A       192.5.5.241
 G.ROOT-SERVERS.NET.     6D  IN      A       192.112.36.4
@@ -443,14 +450,17 @@
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>dig, dnssec-keygen, dnssec-signzone, host, isc-config.sh, lwresd,
-        named, named-checkconf, named-checkzone, nslookup, nsupdate, rndc, and
-        rndc-confgen</seg>
-        <seg>libbind9.{so,a}, libdns.{so,a}, libisc.{so,a}, libisccc.{so,a},
-        libisccfg.{so,a}, and liblwres.{so,a}</seg>
+        <seg>arpaname, ddns-confgen, dig, dnssec-checkds, dnssec-coverage,
+        dnssec-dsfromkey, dnssec-keyfromlabel, dnssec-keygen, dnssec-revoke,
+        dnssec-settime, dnssec-signzone, dnssec-verify, genrandom, host,
+        isc-config.sh, isc-hmac-fixup, lwresd, named, named-checkconf,
+        named-checkzone, named-journalprint, nsec3hash, nslookup, nsupdate, rndc
+        and rndc-confgen</seg>
+        <seg>libbind9.so, libdns.so, libisccc.so, libisccfg.so, libisc.so and
+        liblwres.so</seg>
         <seg>/srv/named, /usr/include/bind9, /usr/include/dns, /usr/include/dst,
         /usr/include/isc, /usr/include/isccc, /usr/include/isccfg,
-        /usr/include/lwres, and /usr/share/doc/bind-&bind-version;</seg>
+        /usr/include/lwres and /usr/share/doc/bind-&bind-version;</seg>
       </seglistitem>
     </segmentedlist>
 

Modified: branches/systemd/server/other/soprano.xml
==============================================================================
--- branches/systemd/server/other/soprano.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/server/other/soprano.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -78,7 +78,7 @@
     <para role="required">
       <xref linkend="dbus"/>,
       <xref linkend="cmake"/>,
-      <xref linkend="qt"/> and
+      <xref linkend="qt4"/> and
       <xref linkend="redland"/>
     </para>
 

Modified: branches/systemd/x/lib/cairo.xml
==============================================================================
--- branches/systemd/x/lib/cairo.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/x/lib/cairo.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -105,7 +105,7 @@
       <xref linkend="gtk-doc"/>,
       <xref linkend="libdrm"/>,
       <xref linkend="mesalib"/>,
-      <xref linkend="qt"/>,
+      <xref linkend="qt4"/>,
       <ulink url="http://code.google.com/p/skia/">Skia</ulink> and
       <ulink url="http://www.valgrind.org">Valgrind</ulink>
     </para>

Modified: branches/systemd/x/lib/lib.xml
==============================================================================
--- branches/systemd/x/lib/lib.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/x/lib/lib.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -52,7 +52,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="notification-daemon.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pango.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pangomm.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="qt.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="qt4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="shared-mime-info.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="startup-notification.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="webkitgtk.xml"/>

Copied and modified: branches/systemd/x/lib/qt4.xml (from r11201, branches/systemd/x/lib/qt.xml)
==============================================================================
--- branches/systemd/x/lib/qt.xml	Wed May 29 06:25:29 2013	(r11201, copy source)
+++ branches/systemd/x/lib/qt4.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -4,249 +4,297 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY qt-download-http "http://releases.qt-project.org/qt4/source/qt-everywhere-opensource-src-&qt-version;.tar.gz">
-  <!ENTITY qt-download-ftp  " ">
-  <!ENTITY qt-md5sum        "89c5ecba180cae74c66260ac732dc5cb">
-  <!ENTITY qt-size          "237 MB">
-  <!ENTITY qt-buildsize     "1.8 GB (full), 619 (essential)">
-  <!ENTITY qt-time          "69 SBU (full), 54 SBU (essential)">
+  <!ENTITY qt4-download-http "http://releases.qt-project.org/qt4/source/qt-everywhere-opensource-src-&qt4-version;.tar.gz">
+  <!ENTITY qt4-download-ftp  " ">
+  <!ENTITY qt4-md5sum        "89c5ecba180cae74c66260ac732dc5cb">
+  <!ENTITY qt4-size          "226 MB">
+  <!ENTITY qt4-buildsize     "1.9 GB">
+  <!ENTITY qt4-time          "70 SBU">
 ]>
 
-<sect1 id="qt" xreflabel="Qt-&qt-version;">
-  <?dbhtml filename="qt.html" ?>
+<sect1 id="qt4" xreflabel="Qt-&qt4-version;">
+  <?dbhtml filename="qt4.html" ?>
 
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
   </sect1info>
 
-  <title>Qt-&qt-version;</title>
+  <title>Qt-&qt4-version;</title>
 
-  <indexterm zone="qt">
-    <primary sortas="a-qt">Qt</primary>
+  <indexterm zone="qt4">
+    <primary sortas="a-Qt">Qt</primary>
   </indexterm>
 
   <sect2 role="package">
     <title>Introduction to Qt</title>
 
-    <para><application>Qt</application> is a cross-platform application
-    framework that is widely used for developing application software
-    with a graphical user interface (GUI) (in which cases Qt is classified
-    as a widget toolkit), and also used for developing non-GUI programs such
-    as command-line tools and consoles for servers. One of the major users
-    of <application>Qt</application> is <application>KDE</application>.</para>
+    <para>
+      <application>Qt</application> is a cross-platform application
+      framework that is widely used for developing application software
+      with a graphical user interface (GUI) (in which cases Qt is classified
+      as a widget toolkit), and also used for developing non-GUI programs such
+      as command-line tools and consoles for servers. One of the major users
+      of <application>Qt</application> is <application>KDE</application>.
+    </para>
 
     &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&qt-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&qt-download-ftp;"/></para>
+        <para>
+          Download (HTTP): <ulink url="&qt4-download-http;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download MD5 sum: &qt-md5sum;</para>
+        <para>
+          Download (FTP): <ulink url="&qt4-download-ftp;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download size: &qt-size;</para>
+        <para>
+          Download MD5 sum: &qt4-md5sum;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated disk space required: &qt-buildsize;</para>
+        <para>
+          Download size: &qt4-size;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated build time: &qt-time;</para>
+        <para>
+          Estimated disk space required: &qt4-buildsize;
+        </para>
       </listitem>
-    </itemizedlist>
-
-<!--
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
       <listitem>
-        <para>GLib 2.32 patch: <ulink
-        url="&patch-root;/qt-everywhere-opensource-src-&qt-version;-glib_fix-1.patch"/>
+        <para>
+          Estimated build time: &qt4-time;
         </para>
-       </listitem>
+      </listitem>
     </itemizedlist>
--->
 
     <bridgehead renderas="sect3">Qt Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="x-window-system"/></para>
+    <para role="required">
+      <xref linkend="mesalib"/>
+    </para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
+      <xref linkend="cacerts"/>,
       <xref linkend="dbus"/>,
+      <xref linkend="glib2"/>,
+      <xref linkend="icu"/> (unicode support),
       <xref linkend="libjpeg"/>,
       <xref linkend="libmng"/>,
-      <xref linkend="libtiff"/>, and
-      <!-- previously required dependency <xref linkend="libpng"/> and -->
-      <xref linkend="pkgconfig"/> (needed to use D-Bus, GLib, GTK and PulseAudio)
+      <xref linkend="libpng"/>,
+      <xref linkend="libtiff"/>,
+      <xref linkend="openssl"/> and
+      <xref linkend="sqlite"/>
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <!--<xref linkend="nas"/>,-->
-      <xref linkend="gst-plugins-base"/>,
-      <xref linkend='pulseaudio'/>,
-      <xref linkend='glib2'/>,
-      <xref linkend="gtk2"/>,
-      <xref linkend="openssl"/>,
       <xref linkend="cups"/>,
+      <xref linkend="gtk2"/> (GTK+ 2 theme support),
+      <xref linkend="gst-plugins-base"/> (For QtWebKit HTML5 Video),
       <xref linkend="mysql"/>,
       <xref linkend="postgresql"/>,
-      <xref linkend="unixodbc"/> and
-      <xref linkend="sqlite"/>
+      <xref linkend="pulseaudio"/> and
+      <xref linkend="unixodbc"/>
     </para>
 
     <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/qt"/></para>
-
+      <ulink url="&blfs-wiki;/qt4"/>
+    </para>
   </sect2>
 
   <sect2 role="installation">
     <title>Installation of Qt</title>
 
-    <para>There are several ways to install a complicated package such as
-    <application>Qt</application>. The files are not completely position
-    independent. Installation procedures execute the program
-    <command>pkg-config</command> to determine the location of package
-    executables, libraries, headers, and other files. For
-    <application>Qt</application>, <command>pkg-config</command> will look
-    for the appropriate <filename>lib/pkgconfig/Qt*.pc</filename> files which
-    must be modified if relocating the package. These files are set up correctly
-    by the build process.</para>
-
-    <para>The default installation places the files in
-    <filename class='directory'>/usr/local/qt/</filename>. Many commercial
-    distributions place the files in the system's
-    <filename class='directory'>/usr</filename> hierarchy. The package can
-    also be installed in an arbitrary directory.</para>
-
-    <para>The advantage of installing in
-    <filename class='directory'>/usr</filename> is that no updates to the
-    <filename>/etc/ld.so.conf</filename> or
-    <filename>/etc/man_db.conf</filename> files are required. The package
-    files are distributed within several subdirectories of the
-    <filename class='directory'>/usr</filename> hierarchy.
-    This is the method that most commercial distributions use.</para>
-
     <caution>
-      <para>If <application>Qt</application> is being reinstalled and the
-      <filename class='directory'>/usr</filename>
-      directory is used as the prefix, run the following commands from a
-      console or non-Qt based window manager.  It overwrites
-      <application>Qt</application> libraries that should not be in use during
-      the install process.</para>
+      <para>
+        If <application>Qt</application> is being reinstalled, run the
+        following commands from a console or non-Qt based window manager.
+        It overwrites <application>Qt</application> libraries that should
+        not be in use during the install process.
+      </para>
     </caution>
 
     <note>
-      <para>The build time and space required for the full
-      <application>Qt</application> is quite long.  The instructions below do
-      not build the tutorials and examples.  Removing the
-      <parameter>-nomake</parameter> lines will create a complete build.</para>
+      <para>
+        The build time and space required for the full
+        <application>Qt</application> is quite long. The instructions below
+        do not build the tutorials and examples. Removing the
+        <parameter>-nomake</parameter> lines will create a complete build.
+      </para>
     </note>
 
-    <para>The method recommended by the <application>Qt</application>
-    developers does not use the /usr directory prefix. It has the advantage of
-    keeping all the package files consolidated in a dedicated directory
-    hierarchy. By using this method, an update can be made without overwriting
-    a previous installation and users can easily revert to a previous version
-    by changing one symbolic link.</para>
-
-    <para>The <application>Qt</application> developers use a default location
-    of <filename class='directory'>/usr/local/qt/</filename>, however the
-    procedure below puts the files in <filename
-    class='directory'>/opt/qt-&qt-version;/</filename>
-    and then creates a symbolic link to <filename>/opt/qt/</filename>.</para>
-
-    <para>Configure <application>Qt</application> by running the
-    following commands:</para>
-
-<screen><userinput>./configure -prefix /opt/qt-&qt-version;  \
-            -release               \
-            -nomake examples       \
-            -nomake demos          \
-            -system-sqlite         \
-            -no-nis                \
-            -opensource            \
-            -confirm-license &&
+    <para>
+      Install <application>Qt</application> by running the
+      following commands:
+    </para>
+
+<screen><userinput>./configure -confirm-license \
+            -opensource \
+            -release \
+            -prefix /usr \
+            -bindir /usr/lib/qt4/bin \
+            -headerdir /usr/include/qt4 \
+            -datadir /usr/share/qt4 \
+            -plugindir /usr/lib/qt4/plugins \
+            -importdir /usr/lib/qt4/imports \
+            -translationdir /usr/share/qt4/translations \
+            -sysconfdir /etc/xdg \
+            -docdir /usr/share/doc/qt4 \
+            -demosdir /usr/share/doc/qt4/demos \
+            -examplesdir /usr/share/doc/qt4/examples \
+            -dbus-linked \
+            -openssl-linked \
+            -system-sqlite \
+            -plugin-sql-sqlite \
+            -no-phonon \
+            -no-phonon-backend \
+            -no-nis \
+            -no-openvg \
+            -nomake demos \
+            -nomake examples \
+            -optimized-qmake &&
 make</userinput></screen>
 
-    <note><title>Phonon</title>
-    <para>If <application>KDE</application> is intended to be installed, add
-    <option>-no-phonon</option> to the <command>./configure</command> command
-    above. While installing <application>KDE</application>, a separate version of the
-    <application>Phonon</application> libraries will be installed which better
-    matches the needs of the <application>KDE</application> desktop.</para></note>
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
-    <para>This package does not come with a test suite.</para>
+<screen role="root"><userinput>make install &&
+rm -rf /usr/tests &&
+install -v -Dm644 src/gui/dialogs/images/qtlogo-64.png \
+                  /usr/share/pixmaps/qt4logo.png &&
+install -v -Dm644 tools/assistant/tools/assistant/images/assistant-128.png \
+                  /usr/share/pixmaps/assistant-qt4.png &&
+install -v -Dm644 tools/designer/src/designer/images/designer.png \
+                  /usr/share/pixmaps/designer-qt4.png &&
+install -v -Dm644 tools/linguist/linguist/images/icons/linguist-128-32.png \
+                  /usr/share/pixmaps/linguist-qt4.png &&
+install -v -Dm644 tools/qdbus/qdbusviewer/images/qdbusviewer-128.png \
+                  /usr/share/pixmaps/qdbusviewer-qt4.png</userinput></screen>
+
+    <para>
+      Remove references to the build directory from installed files by
+      running the following commands as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
 
-    <para>Now, as the <systemitem class="username">root</systemitem>
-    user:</para>
+<screen role="root"><userinput>find /usr/lib/libQt*.prl -exec sed -i -e \
+     '/^QMAKE_PRL_BUILD_DIR/d;s/\(QMAKE_PRL_LIBS =\).*/\1/' {} \;
+find /usr/lib/pkgconfig/Qt*.pc -exec perl -pi -e \
+     "s, -L$(basename $PWD)/?\S+,,g" {} \;</userinput></screen>
+
+    <para>
+      Fix pkg-config files to point to the correct bindir by
+      running the following command as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>find /usr/lib/pkgconfig/Qt*.pc -exec sed -i -e \
+     "s@/usr/bin/@/usr/lib/qt4/bin/@g" {} \;</userinput></screen>
 
-    <para>If you installed <application>Qt</application> in the /opt directory,
-    again as the <systemitem class="username">root</systemitem> user issue:</para>
+    <para>
+      Symlink the <application>Qt</application> executables into
+      <filename class="directory">/usr/bin</filename> by running the
+      following commands as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
 
-<screen role="root"><userinput>ln -svfn qt-&qt-version; /opt/qt</userinput></screen>
+<!-- This will be handled by qtchooser -->
+<screen role="root"><userinput>for file in /usr/lib/qt4/bin/*
+do
+  ln -sfv ../lib/qt4/bin/$(basename $file) /usr/bin/$(basename $file)
+  ln -sfv ../lib/qt4/bin/$(basename $file) /usr/bin/$(basename $file)-qt4
+done</userinput></screen>
 
   </sect2>
 
   <sect2 role="commands">
     <title>Command Explanations</title>
 
+    <para>
+      <parameter>-confirm-license</parameter>: Accept license
+      without prompting user during configuration.
+    </para>
+
+    <para>
+      <parameter>-opensource</parameter>: Install the opensource
+      version of <application>Qt</application>.
+    </para>
+
     <para><parameter>-release</parameter>:
     This switch disables building with debugging symbols.</para>
 
-    <para><parameter>-nomake examples, -nomake demos</parameter>:
-    These switches disable building programs that are only of interest
-    to a <application>Qt</application> developer.</para>
-
-    <para><parameter>-system-sqlite</parameter>:
-    Use the system version of <application>SQLite</application>.</para>
-
-    <para><parameter>-no-nis</parameter>:
-    Disable support for Network Information Service (NIS).</para>
-
-    <para><parameter>-opensource</parameter>:
-    Install the opensource version of <application>Qt</application>.</para>
-
-    <para><parameter>-confirm-license</parameter>:
-    Accept license without prompting user during configuration.</para>
-
-    <para><parameter>-plugin-sql-<replaceable><driver></replaceable></parameter>
-    or <parameter>-qt-sql-<replaceable><driver></replaceable></parameter>:
-    These switches build SQL support into the <application>Qt</application>
-    libraries.</para>
+    <para>
+      <parameter>-nomake examples -nomake demos</parameter>:
+      These switches disable building programs that are only of
+      interest to a <application>Qt</application> developer.
+    </para>
 
-    <note>
-      <para>To check if <application>mysql</application> is autodetected
-      properly, examine the output of <command>./configure -qt-sql-mysql
-      -help</command>. Other database support will require similar
-      <command>configure</command> parameters.</para>
-    </note>
+    <para>
+      <parameter>-system-sqlite</parameter>: This switch enables use
+      the system version of <application>SQLite</application>.
+    </para>
+
+    <para>
+      <parameter>-no-nis</parameter>: This switch disables support
+      for Network Information Service (NIS) which has been
+      deprecated in recent versions of <application>Glibc</application>.
+    </para>
+
+    <para>
+      <parameter>-no-phonon -no-phonon-backend</parameter>: These
+      switches disable building of the bundled
+      <application>Phonon</application> library. Better version
+      is provided by <xref linkend="phonon"/> package.
+    </para>
+
+    <para>
+      <parameter>-dbus-linkend -openssl-linkend</parameter>: These
+      switches enable explicit linking of the
+      <application>D-Bus</application> and
+      <application>OpenSSL</application> libraries into
+      <application>Qt</application> libraries instead of
+      <command>dlopen()</command>-ing them.
+    </para>
 
-    <para>There are several optional directories that can be specified in the
-    <command>./configure</command> line.  These include
-    <option>-bindir</option>, <option>-libdir</option>,
-    <option>-docdir</option>, and <option>-headerdir</option>.  For a complete
-    list, run <command>./configure -help</command>.</para>
+    <para>
+      <parameter>-no-openvg</parameter>: This switch disables
+      <application>OpenVG</application> support in
+      <application>Qt</application>.
+    </para>
+
+    <para>
+      <parameter>-plugin-sql-<replaceable><driver></replaceable></parameter>:
+      These switches enable SQL support in the
+      <application>Qt</application> libraries. Available drivers are:
+      ibase, mysql, psql, sqlite and odbc.
+    </para>
 
   </sect2>
 
   <sect2 role="configuration">
     <title>Configuring Qt</title>
 
-    <sect3 id='qt-config'>
+    <sect3 id="qt4-config">
       <title>Configuration Information</title>
 
-      <para>If you installed <application>Qt</application> in /usr, create an
-      environment variable needed by certain packages. As the
-      <systemitem class="username">root</systemitem> user:</para>
+      <para>
+        Create an environment variable needed by certain packages.
+        As the <systemitem class="username">root</systemitem> user:
+      </para>
 
 <screen role="root"><userinput>cat > /etc/profile.d/qt.sh << EOF
 <literal># Begin /etc/profile.d/qt.sh
@@ -258,45 +306,73 @@
 # End /etc/profile.d/qt.sh</literal>
 EOF</userinput></screen>
 
-      <para>If you installed <application>Qt</application> in a location other
-      than /usr, you need to update the following configuration files so
-      that <application>Qt</application> is correctly found by other packages
-      and system processes.</para>
-
-      <para>As the <systemitem class="username">root</systemitem> user, update
-      the <filename>/etc/ld.so.conf</filename> file and the dynamic linker's
-      run-time cache file:</para>
-
-<screen role="root"><userinput>cat >> /etc/ld.so.conf << EOF
-<literal># Begin Qt addition
-
-/opt/qt/lib
-
-# End Qt addition</literal>
+      <para>
+        Create the menu entries for installed applications.
+        As the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root">install -dm755 /usr/share/applications
+<userinput>cat > /usr/share/applications/qtconfig-qt4.desktop << "EOF"
+<literal>[Desktop Entry]
+Name=Qt4 Config 
+Comment=Configure Qt4 behavior, styles, fonts
+Exec=qtconfig-qt4
+Icon=qt4logo
+Terminal=false
+Encoding=UTF-8
+Type=Application
+Categories=Qt;Settings;</literal>
 EOF
-ldconfig</userinput></screen>
-
-      <indexterm zone="qt qt-config">
-        <primary sortas="e-etc-ld.so.conf">/etc/ld.so.conf</primary>
-      </indexterm>
-
-      <para>As the <systemitem class="username">root</systemitem> user, create
-      the <filename>/etc/profile.d/qt.sh</filename> file:</para>
-
-<screen role="root"><userinput>cat > /etc/profile.d/qt.sh << EOF
-<literal># Begin /etc/profile.d/qt.sh
-
-QTDIR=/opt/qt
-
-pathappend /opt/qt/bin           PATH
-pathappend /opt/qt/lib/pkgconfig PKG_CONFIG_PATH
-
-export QTDIR
-
-# End /etc/profile.d/qt.sh</literal>
+cat > /usr/share/applications/assistant-qt4.desktop << "EOF"
+<literal>[Desktop Entry]
+Name=Qt4 Assistant 
+Comment=Shows Qt4 documentation and examples
+Exec=assistant-qt4
+Icon=assistant-qt4
+Terminal=false
+Encoding=UTF-8
+Type=Application
+Categories=Qt;Development;Documentation;</literal>
+EOF
+cat > /usr/share/applications/designer-qt4.desktop << "EOF"
+<literal>[Desktop Entry]
+Name=Qt4 Designer
+Comment=Design GUIs for Qt4 applications
+Exec=designer-qt4
+Icon=designer-qt4
+MimeType=application/x-designer;
+Terminal=false
+Encoding=UTF-8
+Type=Application
+Categories=Qt;Development;</literal>
+EOF
+cat > /usr/share/applications/linguist-qt4.desktop << "EOF"
+<literal>[Desktop Entry]
+Name=Qt4 Linguist 
+Comment=Add translations to Qt4 applications
+Exec=linguist-qt4
+Icon=linguist-qt4
+MimeType=text/vnd.trolltech.linguist;application/x-linguist;
+Terminal=false
+Encoding=UTF-8
+Type=Application
+Categories=Qt;Development;</literal>
+EOF
+cat > /usr/share/applications/qdbusviewer-qt4.desktop << "EOF"
+<literal>[Desktop Entry]
+Name=Qt4 QDbusViewer 
+GenericName=D-Bus Debugger
+Comment=Debug D-Bus applications
+Exec=qdbusviewer-qt4
+Icon=qdbusviewer-qt4
+Terminal=false
+Encoding=UTF-8
+Type=Application
+Categories=Qt;Development;Debugger;</literal>
 EOF</userinput></screen>
 
     </sect3>
+
   </sect2>
 
   <sect2 role="content">
@@ -308,21 +384,27 @@
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>assistant, designer, lconvert, linguist, lrelease, lupdate, moc,
-        pixeltool, qcollectiongenerator, qdbus, qdbuscpp2xml, qdbusviewer,
-        qdbusxml2cpp, qdoc3, qhelpconverter, qhelpgenerator, qmake,
-        qmlplugindump, qmlviewer, qt3to4, qtconfig, qttracereplay, rcc, uic,
-        uic3, xmlpatterns and xmlpatternsvalidator</seg>
-
-        <seg>libphonon.so, libQt3Support.so, libQtCLucene.so, libQtCore.so,
-        libQtDBus.so, libQtDeclarative.so, libQtDesigner.so,
-        libQtDesignerComponents.so, libQtGui.so, libQtHelp.so, libQtMultimedia,
-        libQtNetwork.so, libQtOpenGL.so, libQtScript.so, libQtScriptTools.so,
-        libQtSql.so, libQtSvg.so, libQtTest.so, libQtUiTools.a, libQtWebKit.so,
-        libQtXml.so, libQtXmlPatterns.so and numerous plugin modules installed
-        in <filename class='directory'>/opt/qt/plugins</filename></seg>
-
-        <seg>/opt/qt-&qt-version;</seg>
+        <seg>
+          assistant, designer, lconvert, linguist, lrelease, lupdate,
+          moc, pixeltool, qcollectiongenerator, qdbus, qdbuscpp2xml,
+          qdbusviewer, qdbusxml2cpp, qdoc3, qhelpconverter, qhelpgenerator,
+          qmake, qmlplugindump, qmlviewer, qt3to4, qtconfig, qttracereplay,
+          rcc, uic, uic3, xmlpatterns and xmlpatternsvalidator
+        </seg>
+        <seg>
+          libQt3Support.so, libQtCLucene.so, libQtCore.so, libQtDBus.so,
+          libQtDeclarative.so, libQtDesignerComponents.so, libQtDesigner.so,
+          libQtGui.so, libQtHelp.so, libQtMultimedia.so, libQtNetwork.so,
+          libQtOpenGL.so, libQtScript.so, libQtScriptTools.so, libQtSql.so,
+          libQtSvg.so, libQtTest.so, libQtWebKit.so, libQtXmlPatterns.so and
+          libQtXml.so
+        </seg>
+        <seg>
+          /usr/include/qt4,
+          /usr/lib/qt4,
+          /usr/share/qt4 and
+          /usr/share/doc/qt4
+        </seg>
       </seglistitem>
     </segmentedlist>
 
@@ -334,8 +416,10 @@
       <varlistentry id="qt-assistant">
         <term><command>assistant</command></term>
         <listitem>
-          <para>is a tool for presenting on-line documentation.</para>
-          <indexterm zone="qt qt-assistant">
+          <para>
+            is a tool for presenting on-line documentation.
+          </para>
+          <indexterm zone="qt4 qt-assistant">
             <primary sortas="b-assistant">assistant</primary>
           </indexterm>
         </listitem>
@@ -344,11 +428,13 @@
       <varlistentry id="qt-designer">
         <term><command>designer</command></term>
         <listitem>
-          <para>is a full-fledged GUI builder. It includes
-          powerful features such as preview mode, automatic widget
-          layout, support for custom widgets, and an advanced
-          property editor.</para>
-          <indexterm zone="qt qt-designer">
+          <para>
+            is a full-fledged GUI builder. It includes
+            powerful features such as preview mode, automatic widget
+            layout, support for custom widgets, and an advanced
+            property editor.
+          </para>
+          <indexterm zone="qt4 qt-designer">
             <primary sortas="b-designer">designer</primary>
           </indexterm>
         </listitem>
@@ -357,9 +443,11 @@
       <varlistentry id="qt-linguist">
         <term><command>linguist</command></term>
         <listitem>
-          <para>provides support for translating applications into
-          local languages.</para>
-          <indexterm zone="qt qt-linguist">
+          <para>
+            provides support for translating applications into
+            local languages.
+          </para>
+          <indexterm zone="qt4 qt-linguist">
             <primary sortas="b-linguist">linguist</primary>
           </indexterm>
         </listitem>
@@ -368,9 +456,11 @@
       <varlistentry id="qt-lrelease">
         <term><command>lrelease</command></term>
         <listitem>
-          <para>is a simple command line tool. It reads a Qt project
-          file and produces message files used by the application.</para>
-          <indexterm zone="qt qt-lrelease">
+          <para>
+            is a simple command line tool. It reads a Qt project
+            file and produces message files used by the application.
+          </para>
+          <indexterm zone="qt4 qt-lrelease">
             <primary sortas="b-lrelease">lrelease</primary>
           </indexterm>
         </listitem>
@@ -379,11 +469,13 @@
       <varlistentry id="qt-lupdate">
         <term><command>lupdate</command></term>
         <listitem>
-          <para>reads a Qt project file, finds the translatable
-          strings in the specified source, header and Qt Designer
-          interface files, and produces or updates the translation
-          files listed in the project file.</para>
-          <indexterm zone="qt qt-lupdate">
+          <para>
+            reads a Qt project file, finds the translatable
+            strings in the specified source, header and Qt Designer
+            interface files, and produces or updates the translation
+            files listed in the project file.
+          </para>
+          <indexterm zone="qt4 qt-lupdate">
             <primary sortas="b-lupdate">lupdate</primary>
           </indexterm>
         </listitem>
@@ -392,8 +484,10 @@
       <varlistentry id="qt-moc">
         <term><command>moc</command></term>
         <listitem>
-          <para>generates Qt meta object support code.</para>
-          <indexterm zone="qt qt-moc">
+          <para>
+            generates Qt meta object support code.
+          </para>
+          <indexterm zone="qt4 qt-moc">
             <primary sortas="b-moc">moc</primary>
           </indexterm>
         </listitem>
@@ -402,9 +496,11 @@
       <varlistentry id="qt-pixeltool">
         <term><command>pixeltool</command></term>
         <listitem>
-          <para>is a desktop magnifier and as you move your mouse around
-          the screen it will show the magnified contents in its window.</para>
-          <indexterm zone="qt qt-pixeltool">
+          <para>
+            is a desktop magnifier and as you move your mouse around
+            the screen it will show the magnified contents in its window.
+          </para>
+          <indexterm zone="qt4 qt-pixeltool">
             <primary sortas="b-pixeltool">pixeltool</primary>
           </indexterm>
         </listitem>
@@ -413,9 +509,12 @@
       <varlistentry id="qt-qmake">
         <term><command>qmake</command></term>
         <listitem>
-          <para>qmake uses information stored in project files to
-          determine what should go in the makefiles it generates.</para>
-          <indexterm zone="qt qt-qmake">
+          <para>
+            uses information stored in project files to
+            determine what should go in the makefiles it
+            generates.
+          </para>
+          <indexterm zone="qt4 qt-qmake">
             <primary sortas="b-qmake">qmake</primary>
           </indexterm>
         </listitem>
@@ -424,8 +523,10 @@
       <varlistentry id="qt-qt3to4">
         <term><command>qt3to4</command></term>
         <listitem>
-          <para>qt3to4 is a tool to help update Qt3 code to Qt4.</para>
-          <indexterm zone="qt qt-qt3to4">
+          <para>
+            qt3to4 is a tool to help update Qt3 code to Qt4.
+          </para>
+          <indexterm zone="qt4 qt-qt3to4">
             <primary sortas="b-qt3to4">qt3to4</primary>
           </indexterm>
         </listitem>
@@ -434,8 +535,10 @@
       <varlistentry id="qt-qtconfig">
         <term><command>qtconfig</command></term>
         <listitem>
-          <para>is used to customize the appearance of Qt applications.</para>
-          <indexterm zone="qt qt-qtconfig">
+          <para>
+            is used to customize the appearance of Qt applications.
+          </para>
+          <indexterm zone="qt4 qt-qtconfig">
             <primary sortas="b-qtconfig">qtconfig</primary>
           </indexterm>
         </listitem>
@@ -444,8 +547,10 @@
       <varlistentry id="qt-rcc">
         <term><command>rcc</command></term>
         <listitem>
-          <para>is a resource compiler used in conjunction with designer.</para>
-          <indexterm zone="qt qt-rcc">
+          <para>
+            is a resource compiler used in conjunction with designer.
+          </para>
+          <indexterm zone="qt4 qt-rcc">
             <primary sortas="b-rcc">rcc</primary>
           </indexterm>
         </listitem>
@@ -454,8 +559,10 @@
       <varlistentry id="qt-uic">
         <term><command>uic</command></term>
         <listitem>
-          <para>is a Qt user interface compiler.</para>
-          <indexterm zone="qt qt-uic">
+          <para>
+            is a Qt user interface compiler.
+          </para>
+          <indexterm zone="qt4 qt-uic">
             <primary sortas="b-uic">uic</primary>
           </indexterm>
         </listitem>
@@ -464,10 +571,12 @@
       <varlistentry id="qt-uic3">
         <term><command>uic3</command></term>
         <listitem>
-          <para>is a tool to generate Qt4 code out of
-          user interface files generated by the Qt3
-          version of designer.</para>
-          <indexterm zone="qt qt-uic3">
+          <para>
+            is a tool to generate Qt4 code out of
+            user interface files generated by the Qt3
+            version of designer.
+          </para>
+          <indexterm zone="qt4 qt-uic3">
             <primary sortas="b-uic3">uic3</primary>
           </indexterm>
         </listitem>

Modified: branches/systemd/x/wm/openbox.xml
==============================================================================
--- branches/systemd/x/wm/openbox.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/x/wm/openbox.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -71,12 +71,13 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
       <xref linkend="x-window-system"/> and
-      <xref linkend="pango"/> (compiled with support for libXft).
+      <xref linkend="pango"/> (compiled with support for libXft)
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="imlib2"/> (to enable icons in the right click menu).
+      <xref linkend="imlib2"/> (to enable icons in the right click menu) and
+      <ulink url="http://freedesktop.org/wiki/Software/pyxdg">PyXDG</ulink>
     </para>
 
     <para condition="html" role="usernotes">
@@ -98,8 +99,11 @@
       commands:
     </para>
 
-<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc --disable-static \
-  --docdir=/usr/share/doc/openbox-&openbox-version; &&
+<screen><userinput>./configure --prefix=/usr                         /
+            --libexecdir=/usr/lib/openbox         /
+            --sysconfdir=/etc                     /
+            --docdir=/usr/share/doc/openbox-&openbox-version; /
+            --disable-static                      &&
 make</userinput></screen>
 
     <para>
@@ -117,21 +121,20 @@
     <title>Command Explanations</title>
 
     <para>
-      <option>--sysconfdir=/etc</option>: This option puts
+      <option>--sysconfdir=/etc</option>: This option puts
       <application>Openbox</application>'s configuration files in
       /etc/xdg/openbox instead of /usr/etc/xdg/openbox.
     </para>
 
     <para>
-      <option>--disable-static</option>: This option stops it compiling
-      static versions of the libraries.
-    </para>
-
-    <para>
-      <option>--docdir=/usr/share/doc/openbox-&openbox-version;</option>:
+      <option>--docdir=/usr/share/doc/openbox-&openbox-version;</option>:
       this puts a few files in a versioned directory in
       <filename class="directory">/usr/share/doc</filename>.
     </para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
   </sect2>
 
   <sect2 role="configuration">
@@ -141,11 +144,15 @@
       <title>Config Files</title>
 
       <para>
-        /etc/xdg/openbox/menu.xml, /etc/xdg/openbox/rc.xml,
-        ~/.config/openbox/menu.xml and ~/.config/openbox/rc.xml
+        /etc/xdg/openbox/autostart, /etc/xdg/openbox/menu.xml, /etc/xdg/openbox/rc.xml,
+        ~/.config/openbox/autostart, ~/.config/openbox/menu.xml and ~/.config/openbox/rc.xml
       </para>
 
       <indexterm zone="openbox openbox-config">
+        <primary sortas="e-AA.autostart">~/.config/openbox/autostart</primary>
+      </indexterm>
+
+      <indexterm zone="openbox openbox-config">
         <primary sortas="e-AA.menu">~/.config/openbox/menu.xml</primary>
       </indexterm>
 
@@ -154,6 +161,10 @@
       </indexterm>
 
       <indexterm zone="openbox openbox-config">
+        <primary sortas="e-etc-path-autostart">/etc/xdg/openbox/autostart</primary>
+      </indexterm>
+
+      <indexterm zone="openbox openbox-config">
         <primary sortas="e-etc-path-menu">/etc/xdg/openbox/menu.xml</primary>
       </indexterm>
 
@@ -226,10 +237,10 @@
         openbox:
       </para>
 
-<screen role="user"><userinput>cat > ~/.xinitrc << "HERE_DOC"
-display -backdrop -window root /path/to/beautiful/picture.jpeg
-exec openbox
-HERE_DOC</userinput></screen>
+<screen role="user"><userinput>cat > ~/.xinitrc << "EOF"
+<literal>display -backdrop -window root /path/to/beautiful/picture.jpeg
+exec openbox</literal>
+EOF</userinput></screen>
 
       <para>
         Or if you like a bit of variety, put a selection of images in a folder
@@ -237,15 +248,15 @@
         random each time you <command>xinit</command>:
       </para>
 
-<screen role="user"><userinput>cat > ~/.xinitrc << "HERE_DOC"
-# make an array which lists the pictures:
+<screen role="user"><userinput>cat > ~/.xinitrc << "EOF"
+<literal># make an array which lists the pictures:
 picture_list=(~/.config/backgrounds/*)
 # create a random integer between 0 and the number of pictures:
 random_number=$(( ${RANDOM} % ${#picture_list[@]} ))
 # display the chosen picture:
 display -backdrop -window root "${picture_list[${random_number}]}"
-exec openbox
-HERE_DOC</userinput></screen>
+exec openbox</literal>
+EOF</userinput></screen>
 
       <para>
         If you like to have the numlock key set whan you start Xorg, install
@@ -254,16 +265,16 @@
         <xref linkend="dbus"/>
       </para>
 
-<screen role="user"><userinput>cat > ~/.xinitrc << "HERE_DOC"
-. /etc/profile
+<screen role="user"><userinput>cat > ~/.xinitrc << "EOF"
+<literal>. /etc/profile
 picture_list=(~/.config/backgrounds/*)
 random_number=$(( ${RANDOM} % ${#picture_list[*]} ))
 display -backdrop -window root "${picture_list[${random_number}]}"
 numlockx
 eval $(dbus-launch --auto-syntax --exit-with-session)
 lxpanel &
-exec openbox
-HERE_DOC</userinput></screen>
+exec openbox</literal>
+EOF</userinput></screen>
     </sect3>
   </sect2>
 
@@ -277,8 +288,9 @@
 
       <seglistitem>
         <seg>
-          gdm-control, gnome-panel-control, obxprop, openbox,
-          openbox-gnome-session, openbox-kde-session and openbox-session
+          gdm-control, gnome-panel-control, obxprop, openbox, openbox-autostart,
+          openbox-gnome-session, openbox-kde-session, openbox-session and
+          openbox-xdg-autostart
         </seg>
         <seg>
           libobrender.so and libobt.so
@@ -348,13 +360,37 @@
         </listitem>
       </varlistentry>
 
+      <varlistentry id="openbox-autostart">
+        <term><command>openbox-autostart</command></term>
+        <listitem>
+          <para>
+            is a script that runs commands and applications at Openbox startup.
+          </para>
+          <indexterm zone="openbox openbox-autostart">
+            <primary sortas="b-openbox-autostart">openbox-autostart</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="openbox-xdg-autostart">
+        <term><command>openbox-xdg-autostart</command></term>
+        <listitem>
+          <para>
+            is a script that runs xdg autostart .desktop files.
+          </para>
+          <indexterm zone="openbox openbox-xdg-autostart">
+            <primary sortas="b-openbox-xdg-autostart">openbox-xdg-autostart</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="openbox-gnome-session">
         <term><command>openbox-gnome-session</command></term>
         <listitem>
           <para>
             is a script to launch an <application>Gnome</application> session
-            with openbox as your window manager from your
-            <filename>~/.xinitrc</filename>.
+            with <application>Openbox</application> as your window manager from
+            your <filename>~/.xinitrc</filename>.
           </para>
           <indexterm zone="openbox openbox-gnome-session">
             <primary

Modified: branches/systemd/xsoft/other/gnash.xml
==============================================================================
--- branches/systemd/xsoft/other/gnash.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/xsoft/other/gnash.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -103,7 +103,7 @@
       <xref linkend="git"/>,
       <xref linkend="libogg"/>,
       <xref linkend="libvorbis"/>,
-      <xref linkend="qt"/>,
+      <xref linkend="qt4"/>,
       <xref linkend="speex"/>,
       <xref linkend="wget"/>,
       <ulink url="http://www.swftools.org/">SWFTools</ulink>,

Modified: branches/systemd/xsoft/other/transmission.xml
==============================================================================
--- branches/systemd/xsoft/other/transmission.xml	Wed Jun  5 01:50:34 2013	(r11263)
+++ branches/systemd/xsoft/other/transmission.xml	Wed Jun  5 02:28:44 2013	(r11264)
@@ -86,7 +86,7 @@
     <bridgehead renderas="sect4">Recommended (to build a GUI)</bridgehead>
     <para role="recommended">
       <xref linkend="gtk3"/> or
-      <xref linkend="qt"/>
+      <xref linkend="qt4"/>
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
@@ -111,7 +111,7 @@
 make</userinput></screen>
 
     <para>
-      If you have installed <xref linkend="qt"/> and would like to compile the
+      If you have installed <xref linkend="qt4"/> and would like to compile the
       Qt GUI, run the following commands:
     </para>
 



More information about the blfs-book mailing list